# Please keep alphabetic order and the structure (tabbing).
# It makes it much easier to edit/read this file!

message(STATUS "LCG_PYTHON_VERSION from toolchain = ${LCG_PYTHON_VERSION}")

#---Application Area Projects----------------------------------------------------------------------
LCG_AA_project(RELAX  6.1.2)
LCG_AA_project(HepMC 2.06.11)
set(Geant4_Qt 5)
LCG_AA_project(Geant4 11.3.1)
LCG_AA_project(Geant4-vecgeom-scalar 11.3.1)

LCG_AA_project(Garfield++  HEAD  GIT=https://gitlab.cern.ch/garfield/garfieldpp.git)
if( ((${LCG_COMP} MATCHES gcc) AND (${LCG_COMPVERS} GREATER_EQUAL 13)) OR
    ((NOT ${LCG_OS} MATCHES mac) AND (${LCG_COMP} MATCHES clang) AND (${LCG_COMPVERS} GREATER_EQUAL 16)) OR
    ((${LCG_OS} MATCHES mac) AND (${LCG_OSVERS} GREATER_EQUAL 15)) )
  LCG_AA_project(Gaudi  v39r2  GIT=https://gitlab.cern.ch/gaudi/Gaudi.git)
endif()
LCG_AA_project(DD4hep                  01.31                                    )

if(((${LCG_COMP} MATCHES gcc) AND (${LCG_COMPVERS} GREATER 12)) OR (${LCG_COMP} MATCHES clang AND ${LCG_COMPVERS} GREATER 15))
  #edm4hep needs c++20
  LCG_AA_project(EDM4hep                 00.99.01                                 )
endif()

#---Externals--------------------------------------------------------------------------------------

LCG_external_package(lcgenv            1.3.22                                   )
LCG_external_package(absl              20230802.1                               )
LCG_external_package(absl_py           1.4.0                                    )
LCG_external_package(acts             26.0.0                                    )
LCG_external_package(accelerate        0.29.2                                   )
LCG_external_package(AIDA              3.2.1                                    )
LCG_external_package(aiohttp           3.8.4                                    )
LCG_external_package(aiosignal         1.2.0                                    )
LCG_external_package(aiostream         0.4.5                                    )
LCG_external_package(alabaster         0.7.12                                   )
LCG_external_package(alembic           1.13.3                                   )
LCG_external_package(alpaka            1.2.0                                    )
LCG_external_package(altair            5.2.0                                    )
LCG_external_package(annotated_types   0.6.0                                    )
LCG_external_package(ant               1.10.7                                   )
LCG_external_package(antlr4_python3_runtime 4.13.1                              )
LCG_external_package(anyio             3.7.1                                    )
LCG_external_package(appdirs           1.4.4                                    )
LCG_external_package(argon2_cffi       20.1.0                                   )
LCG_external_package(archspec          0.1.4                                    )
LCG_external_package(armadillo         11.4.2                                   )
LCG_external_package(arrow             15.0.0                                   )
LCG_external_package(asdf              3.5.0                                    )
LCG_external_package(asdf_transform_schemas 0.5.0                               )
LCG_external_package(asdf_standard     1.1.1                                    )
LCG_external_package(assimp            5.0.1                                    )
LCG_external_package(asn1crypto        0.24.0                                   )
LCG_external_package(asteval           0.9.31                                   )
LCG_external_package(astor             0.8.1                                    )
LCG_external_package(astroid           3.3.8                                    )
LCG_external_package(astropy           5.3.4                                    )
LCG_external_package(astunparse        1.6.3                                    )
LCG_external_package(async_generator   1.10                                     )
LCG_external_package(async_timeout     4.0.2                                    )
LCG_external_package(atomicwrites      1.3.0                                    )
LCG_external_package(attrs             23.1.0                                   )
LCG_external_package(Authlib	       0.15.5					)
if(NOT ${LCG_OS} MATCHES ubuntu)
  LCG_external_package(auth_get_sso_cookie	2.4.0-1				)
endif()
LCG_external_package(autoconf          2.69                                     )
LCG_external_package(autograd          1.7.0                                    )
LCG_external_package(automake          1.16.1                                   )
LCG_external_package(autopep8          2.3.1                                    )
LCG_external_package(awkward           2.8.1                                    )
LCG_external_package(awkward_cpp       45                                       )
LCG_external_package(awscrt            0.23.0                                   )
LCG_external_package(babel             2.9.1                                    )
LCG_external_package(backcall          0.2.0                                    )
LCG_external_package(backoff            2.2.1                                    )
LCG_external_package(bcrypt            3.1.6                                    )
LCG_external_package(bear              3.1.5                                    )
LCG_external_package(beautifulsoup4    4.10.0					)
LCG_external_package(google_benchmark  1.9.2                                    )
LCG_external_package(beniget           0.4.0                                    )
LCG_external_package(bison             3.8.2                                    )
LCG_external_package(black             24.8.0                                   )
#LCG_external_package(blas              3.8.0.netlib                             )
LCG_external_package(blas              0.3.29.openblas                          )
LCG_external_package(bleach            3.3.1                                    )
LCG_external_package(blosc             1.11.1                                   )
LCG_external_package(blosc2            2.5.1                                    )
LCG_external_package(bokeh             3.1.1                                    )
LCG_external_package(brotli            1.0.7                                    )
LCG_external_package(bzip2             1.0.6                                    )
LCG_external_package(Boost             1.87.0                                   )
LCG_external_package(boost_histogram   1.3.2                                    )
LCG_external_package(boto3	       1.35.48					)
LCG_external_package(botocore	       1.35.48					)
LCG_external_package(build             0.8.0   					)
LCG_external_package(C50               2.07                                     )
LCG_external_package(c_ares            1.34.3                                   )
LCG_external_package(cabinetry         0.5.2                                    )
LCG_external_package(cachetools        5.3.1                                    )
LCG_external_package(cairo             1.17.2                                   )
LCG_external_package(capturer          3.0                                      )
LCG_external_package(calmjs_parse      1.3.1                                    )
LCG_external_package(cartopy           0.21.1                                   )
LCG_external_package(catboost          1.2                                      )
LCG_external_package(Catch2            3.7.1                                    )
LCG_external_package(ccache            4.10                                     )
LCG_external_package(certifi           2022.12.7                                )
LCG_external_package(cffi              1.14.6                                   )
LCG_external_package(cfitsio           3.48                                     )
LCG_external_package(cfgv              3.3.1                                    )
LCG_external_package(chardet           3.0.4                                    )
LCG_external_package(charset_normalizer 2.0.6                                   )
LCG_external_package(clhep             2.4.7.1                                  )
LCG_external_package(cli11             2.4.2                                    )
LCG_external_package(click             8.1.7                                    )
LCG_external_package(click_default_group 1.2.4                                  )
LCG_external_package(click_didyoumean  0.3.0                                    )
LCG_external_package(clikit            0.6.2                                    )
LCG_external_package(cln               1.3.7                                    )
LCG_external_package(cloudpickle       3.0.0                                    )
LCG_external_package(CMake             3.30.6                                   )
LCG_external_package(cmaketools        1.9                                      )
LCG_external_package(cma               3.3.0                                    )
LCG_external_package(coffea            2025.3.0                                 )
LCG_external_package(coin3d            3.1.3p2                                  )
LCG_external_package(colorama          0.4.6                                    )
LCG_external_package(colorcet          2.0.2                                    )
LCG_external_package(colored           2.2.3                                    )
LCG_external_package(coloredlogs       15.0.1                                   )
LCG_external_package(colorlog          6.7.0                                    )
LCG_external_package(commonmark        0.9.1                                    )
LCG_external_package(configobj         5.0.6                                    )
LCG_external_package(configparser      5.3.0                                    )
LCG_external_package(confuse            2.0.1                                    )
LCG_external_package(cons              0.4.6                                    )
LCG_external_package(contourpy         1.0.7                                    )
LCG_external_package(control           0.9.1                                    )
LCG_external_package(correctionlib     2.6.4                                    )
LCG_external_package(CouchDB           1.2                                      )
LCG_external_package(coverage          7.4.1                                    )
LCG_external_package(cppcheck          2.16.0                                   )
LCG_external_package(cppgsl            3.1.0                                    )
LCG_external_package(cppzmq	       4.8.1					)
LCG_external_package(CppUnit           1.14.0                 author=1.14.0     )
LCG_external_package(cppy              1.2.1                                   )
LCG_external_package(cpymad            1.15.0                                   )
LCG_external_package(cramjam           2.8.3                                    )
LCG_external_package(crashtest         0.3.1                                    )
LCG_external_package(cryptography      3.4.7                                    )
LCG_external_package(curl              7.75.0                                   )
LCG_external_package(cx_oracle         8.3.0                                    )
LCG_external_package(cycler            0.10.0                                   )
LCG_external_package(cython            3.0.10                                   )
LCG_external_package(dask              2024.9.0                                 )
LCG_external_package(dask_awkward      2025.3.0                                 )
LCG_external_package(dask_histogram    2025.2.0                                 )
LCG_external_package(dask_jobqueue     0.8.2                                    )
LCG_external_package(dask_kubernetes   2023.7.3                                 )
LCG_external_package(dask_lxplus       0.3.2                                    )
LCG_external_package(dataclasses_json  0.5.8                                    )
LCG_external_package(Davix             0.8.10                                   )
LCG_external_package(debugpy           1.3.0                                    )
LCG_external_package(DecayLanguage     0.18.5                                   )
LCG_external_package(decorator         5.0.9                                    )
LCG_external_package(defusedxml        0.7.1                                    )
LCG_external_package(delphes           3.5.1pre12                               )
LCG_external_package(deprecated        1.2.13                                   )
LCG_external_package(deprecation       2.1.0                                    )
LCG_external_package(dill              0.3.8                                    )
LCG_external_package(distlib           0.3.6                                    )
LCG_external_package(distributed       2024.9.0                                 )
LCG_external_package(distro            1.5.0                                    )
LCG_external_package(dm_tree           0.1.8                                    )
LCG_external_package(docopt            0.6.2                                    )
LCG_external_package(docutils          0.16                                     )
LCG_external_package(dotmap            1.3.30                                   )
LCG_external_package(double_conversion 3.1.5                                    )
LCG_external_package(doxygen           1.13.1                                   )
LCG_external_package(eigen             3.4.0                                    )
LCG_external_package(elasticsearch     6.3.0                                    )
LCG_external_package(entrypoints       0.3                                      )
LCG_external_package(et_xmlfile        1.1.0                                    )
LCG_external_package(etuples           0.3.9                                    )
LCG_external_package(exceptiongroup    1.1.1                                    )
LCG_external_package(execnet           1.9.0                                    )
LCG_external_package(executing	       2.1.0                                    )
LCG_external_package(expat             2.2.6                                    )
LCG_external_package(extension_helpers   1.0.0                                  )
LCG_external_package(faiss             1.9.0                                    )
LCG_external_package(fastjet           3.4.3                     )
LCG_external_package(fastjsonschema    2.17.1                                   )
LCG_external_package(fftw              3.3.10                    fftw3          )
LCG_external_package(filelock          3.12.0                                   )
LCG_external_package(fjcontrib         1.101                                    )
LCG_external_package(flake8            7.1.1                                    )
LCG_external_package(flake8_builtins   2.5.0                                    )
LCG_external_package(flake8_bugbear    24.8.19                                  )
LCG_external_package(flatbuffers       24.3.25                                  )
LCG_external_package(fmt               10.2.1                                   )
if(NOT ${LCG_OS}${LCG_OSVERS} MATCHES centos8|el8)
   LCG_external_package(flex              2.6.4      ) # Flex 2.6.4 segfaults during build, see https://github.com/westes/flex/issues/219. To be fixed in 2.6.5
else()
   LCG_external_package(flex              2.6.3      )
endif()

LCG_external_package(fontconfig        2.13.1                                   )
LCG_external_package(fonttools         4.40.0                                   )
LCG_external_package(fpdf2             2.7.9                                    )
LCG_external_package(fplll             5.4.4                                    )
LCG_external_package(freetype          2.10.0                                   )
if(NOT ${LCG_OS}${LCG_OSVERS} MATCHES ubuntu)
  LCG_external_package(Frontier_Client   2.10.2                  frontier_client)
endif()
if(${LCG_OS}${LCG_OSVERS} MATCHES centos9|el9)
  # needed for pango version used in el9
  LCG_external_package(fribidi         1.0.13                                   )
endif()
LCG_external_package(frozendict        2.3.8                                    )
LCG_external_package(frozenlist        1.4.1                                    )
LCG_external_package(fs                2.4.16                                   )
LCG_external_package(fsspec            2025.2.0                                 )
LCG_external_package(fsspec_xrootd     0.5.1                                    )
#LCG_external_package(ftjam             2.5.2                                    )
#LCG_external_package(func_adl_servicex 2.1                                      ) #https://github.com/iris-hep/func_adl_servicex/issues/61#issuecomment-2699794735
LCG_external_package(func_adl_xAOD     2.1                                      )
LCG_external_package(func_adl          3.2.5                                    )
LCG_external_package(funcsigs          1.0.2                                    )
LCG_external_package(future            0.18.3                                   )
LCG_external_package(gast              0.5.4                                    )
LCG_external_package(gcovr             7.2                                      )
LCG_external_package(gdal              3.7.0                                    )
#LCG_external_package(GCCXML            0.9.0_20131026            gccxml        )
LCG_external_package(gdb               16.2                                     )
LCG_external_package(genshi            0.7.7                                    )
LCG_external_package(geos              3.7.2                                    )
LCG_external_package(gettext           0.21.1                                   )
LCG_external_package(gflags            2.2.2                                    )
LCG_external_package(ginac             1.8.7                                    )
LCG_external_package(git               2.29.2                                   )
LCG_external_package(GitCondDB         0.2.2                                    )
LCG_external_package(glib              2.76.2                                   )
LCG_external_package(globus_sdk        3.9.0                                    )
LCG_external_package(glog              0.4.0                                    )
LCG_external_package(gl2ps             1.4.2                                    )
LCG_external_package(gmp               6.2.1                                    )
LCG_external_package(gnuplot           5.4.6                                    )
if(${LCG_OS} MATCHES mac)
  LCG_external_package(gnu_tar              1.30                                     )
  LCG_external_package(gnu_sed              4.5                                      )
endif()
if(${LCG_OS} MATCHES centos|el)
  LCG_external_package(go              1.12.5                                   )
  LCG_external_package(gomacro         c9f381e                                  )
  LCG_external_package(gophernotes     7c3ca4e                                  )
  LCG_external_package(go_demangle     5e5cf60                                  )
  LCG_external_package(go_liner        6f820f8                                  )
  LCG_external_package(go_readline     2972be2                                  )
  LCG_external_package(go_runewidth    703b5e6                                  )
  LCG_external_package(go_zmq4         7a493a6                                  )
  LCG_external_package(go.uuid         b2ce238                                  )
endif()
LCG_external_package(googledrivedownloader 0.4                                  )
LCG_external_package(google_auth       2.17.3                                   )
LCG_external_package(google_auth_oauthlib 1.0.0                                 )
LCG_external_package(google_pasta      0.2.0                                    )
LCG_external_package(gperf             3.1                                      )
if(${LCG_OS} MATCHES centos|el)
  LCG_external_package(gperftools        2.15                                   )
endif()
LCG_external_package(graphviz          8.0.5                                    )
LCG_external_package(graphviz_py       0.20.1                                   )
LCG_external_package(greenlet          2.0.2                                    )
LCG_external_package(grpc              1.62.3                                   )
LCG_external_package(grpcio            1.56.2                                   )
LCG_external_package(GSL               2.7                                      )
if(NOT ${LCG_OS} MATCHES ubuntu)
  LCG_external_package(gssapi            1.8.3                                  )
endif()
LCG_external_package(googletest        1.16.0                                   )
LCG_external_package(h11               0.14.0                                   )
if((${LCG_OS} MATCHES el|centos|ubuntu) AND (NOT ${LCG_COMP} STREQUAL clang))
  LCG_external_package(hadoop          3.3.6                                    )
  LCG_external_package(hadoop_xrootd   1.0.7                                    )
endif()
if(${LCG_OS}${LCG_OSVERS} MATCHES centos9|el9 )
LCG_external_package(harfbuzz          2.7.4                                    )
else()
LCG_external_package(harfbuzz          1.9.0                                    )
endif()
LCG_external_package(hbase             1.2.0                                    )
LCG_external_package(HeapDict          1.0.0                                    )
LCG_external_package(heaptrack         1.5.0                                    )
LCG_external_package(hepdata_validator 0.3.5                                    )
LCG_external_package(hepdata_converter 0.2.3                                    )
LCG_external_package(hepdata_lib       0.16.0                                   )
LCG_external_package(hepmc3            3.3.1                                    )
LCG_external_package(hepstats          0.9.2                                    )
LCG_external_package(hepunits          2.3.5                                    )
LCG_external_package(HepPDT            2.06.01                                  )
LCG_external_package(highfive          2.10.1                                   )
LCG_external_package(hive              1.1.1                                    )
LCG_external_package(hist              2.8.0                                    )
LCG_external_package(histoprint        2.6.0                                    )
if(${LCG_COMP}${LCG_COMPVERS} MATCHES "gcc1[123]" )
#  LCG_external_package(hls4ml            0.8.1                                    ) # not compatible with tensorflow 2.16.1
endif()
LCG_external_package(httpstan          4.12.0                                   )
LCG_external_package(httpcore          0.17.3                                   )
LCG_external_package(httpx             0.24.1                                   )
LCG_external_package(html5lib          1.1                                      )
LCG_external_package(h5py              3.13.0                                   )
LCG_external_package(hdf5              1.14.6                                   )
LCG_external_package(hdf5_mpi          1.14.6                                   )
LCG_external_package(horovod           0.28.1                                   )
LCG_external_package(huggingface_hub   0.23.2                                   )
LCG_external_package(humanfriendly     10.0                                     )
LCG_external_package(humanize          4.0.0                                    )
LCG_external_package(hwloc             2.7.0                                    )
LCG_external_package(hyperopt          0.2.7                                    )
LCG_external_package(hypothesis        5.3.0                                    )
LCG_external_package(idna              3.2                                      )
LCG_external_package(identify          2.5.24                                   )
LCG_external_package(imageio           2.31.0                                   )
LCG_external_package(imagesize         1.2.0                                    )
if( NOT ${LCG_OS}${LCG_OSVERS} MATCHES ubuntu18 )
  LCG_external_package(imagemagick     7.0.8.7                                  )
endif()
LCG_external_package(iminuit           2.30.1                                   )
LCG_external_package(importlib_metadata  6.6.0                                  )
LCG_external_package(importlib_resources 6.1.1                                 )
LCG_external_package(iniconfig         1.1.1                                    )
LCG_external_package(ipydatawidgets    4.0.1                                    )
LCG_external_package(ipykernel         6.0.2                                    )
LCG_external_package(ipympl            0.9.3                                    )
LCG_external_package(ipyparallel       6.2.4                                    )
LCG_external_package(ipython           7.25.0                                   )
LCG_external_package(ipython_genutils  0.2.0                                    )
LCG_external_package(ipywidgets        7.6.3                                    )
LCG_external_package(isodate           0.6.1                                    )
LCG_external_package(iso8601           1.0.2                                    )
LCG_external_package(isort             5.12.0                                   )
LCG_external_package(itk               5.4.0                                    )
LCG_external_package(itk_core          5.4.0                                    )
LCG_external_package(itk_io            5.4.0                                    )
LCG_external_package(itk_filtering     5.4.0                                    )
LCG_external_package(itk_meshtopolydata 0.11.0                                  )
LCG_external_package(itk_numerics      5.4.0                                    )
LCG_external_package(itk_registration  5.4.0                                    )
LCG_external_package(itk_segmentation  5.4.0                                    )
LCG_external_package(itkwidgets        0.32.6                                   )
if(LCG_COMP STREQUAL "clang")
  if(LCG_COMPVERS VERSION_EQUAL 12)
    LCG_external_package(iwyu         0.16                                      )
  elseif(LCG_COMPVERS VERSION_EQUAL 14)
    LCG_external_package(iwyu         0.18                                      )
  endif()
endif()
LCG_external_package(jacobi            0.9.2                                    )
LCG_external_package(java              8u392                                    )
LCG_external_package(jax               0.5.3                                    )
LCG_external_package(jaxlib            0.5.3                                    )
LCG_external_package(jedi              0.19.1                                   )
LCG_external_package(jemalloc          5.3.0                                    )
LCG_external_package(Jinja2            3.1.2                                    )
LCG_external_package(jmespath	        1.0.1					 )
LCG_external_package(joblib            1.2.0                                    )
LCG_external_package(jpeg              v6b                                      )
LCG_external_package(jsonc             0.17                                     )
LCG_external_package(jsoncpp           1.9.3                                    )
LCG_external_package(json_logger       2.0.2                                    )
LCG_external_package(jsonmcpp          3.11.3                                   )
LCG_external_package(jsonpatch         1.33                                     )
LCG_external_package(jsonpointer       2.0                                      )
LCG_external_package(jsonschema        4.20.0                                   )
LCG_external_package(jsonschema_specifications 2023.7.1                         )
LCG_external_package(julia             1.11.4                                   )
LCG_external_package(jl_ijulia         1.26.0                                   )
LCG_external_package(jupyter           1.0.0                                    )
LCG_external_package(jupyter_client    6.1.12                                   )
LCG_external_package(jupyter_core      4.7.1                                    )
LCG_external_package(jupyter_console   6.1.0                                    )
LCG_external_package(jupyter_contrib_core 0.3.3                                 )
LCG_external_package(jupyter_contrib_nbextensions 0.7.0                         )
LCG_external_package(jupyter_highlight_selected_word 0.2.0                      )
LCG_external_package(jupyter_latex_envs 1.4.4p1  author=1.4.4                   )
LCG_external_package(jupyter_nbextensions_configurator 0.4.1                    )
LCG_external_package(jupyter_packaging 0.12.3                                   )
LCG_external_package(jupyterlab_pygments  0.1.2                                 )
LCG_external_package(jupyterlab        3.0.17                                   )
LCG_external_package(jupyterlab_rise   0.3.0                                    )
LCG_external_package(jupyterlab_server 2.6.1                                    )
LCG_external_package(jupyter_server    1.10.2                                   )
LCG_external_package(keras             3.6.0                                    )
LCG_external_package(keras_applications 1.0.8                                   )
LCG_external_package(keras_preprocessing 1.1.2                                  )
LCG_external_package(keras_tuner         1.4.6p1                                )
LCG_external_package(kiwisolver        1.4.5                                    )
LCG_external_package(kopf              1.37.2                                   )
LCG_external_package(kokkos            4.3.01                                   )
LCG_external_package(kr8s              0.8.6                                    )
LCG_external_package(kt_legacy         1.0.5                                    )
LCG_external_package(kubernetes         23.3.0                                  )
LCG_external_package(kubernetes_asyncio 21.7.1                                  )
LCG_external_package(langchain_community 0.2.12                                 )
LCG_external_package(langchain_core    0.2.35                                   )
LCG_external_package(langchain_text_splitters  0.2.2                            )
LCG_external_package(langchain         0.2.14                                   )
LCG_external_package(langsmith         0.1.104                                  )
LCG_external_package(lap               0.5.12                                   )
LCG_external_package(lark              1.1.5                                    )
LCG_external_package(lazy_loader       0.2                                      )
LCG_external_package(lazy_object_proxy 1.9.0                                    )
LCG_external_package(lcov              1.14                                     )
LCG_external_package(lhereader         1.0.11                                   )
LCG_external_package(libaio            0.3.110-1                                )
LCG_external_package(libarchive        3.7.9                                    )
LCG_external_package(libclang          14.0.1                                   )
LCG_external_package(libedit           3.1                                      )
LCG_external_package(libevent          2.1.11                                   )
LCG_external_package(libffi            3.4.2                                    )
LCG_external_package(libgeotiff        1.6.0                                    )
LCG_external_package(libgit2           1.1.1                                    )
LCG_external_package(libm_aocl         3.1.0                                    )
LCG_external_package(libpqxx           7.7.4                                    )
if(NOT ${LCG_OS} MATCHES ubuntu)
  LCG_external_package(librdkafka        2.6.1                                    )
  LCG_external_package(confluent_kafka   2.6.1                                    )
endif()
LCG_external_package(libsodium         1.0.18                                   )
LCG_external_package(libsvm            3.23                                     )
LCG_external_package(libtool           2.4.6                                    )
LCG_external_package(libxml2           2.10.4                                   )
LCG_external_package(libxslt           1.1.38                                   )
LCG_external_package(libzip            1.9.2                                    )
LCG_external_package(lightning_utilities 0.8.0                                  )
LCG_external_package(linkify_it_py     2.0.2                                    )
LCG_external_package(LCIO              02.22.05                                 )
LCG_external_package(llvmlite          0.44.0                                   )
LCG_external_package(lmfit             1.2.2                                    )
LCG_external_package(locket            1.0.0                                    )
LCG_external_package(log4cpp           1.1.4                                    )
LCG_external_package(logilabcommon     1.8.1                                    )
LCG_external_package(logical_unification 0.4.6                                  )
LCG_external_package(looseversion	1.3.0					)
LCG_external_package(lwtnn             2.13                                     )
LCG_external_package(lxml              5.2.2                                    )
LCG_external_package(lz4               1.9.4                                    )
if( NOT ${LCG_OS}${LCG_OSVERS} MATCHES ubuntu|mac )
  LCG_external_package(m2crypto        0.41.0                                   )
endif()

if(NOT LCG_COMP STREQUAL "clang")
  LCG_external_package(m4                1.4.18                                 )
else()
  LCG_external_package(m4                1.4.19                                 )
endif()
LCG_external_package(madx              5.09.00                                  )
LCG_external_package(make_it_sync       1.0.0                                    )
LCG_external_package(mako              1.3.5                                    )
LCG_external_package(markdown          3.1.1                                    )
LCG_external_package(markdown_it_py    2.2.0                                    )
LCG_external_package(MarkupSafe        2.1.2                                    )
LCG_external_package(marshmallow       3.16.0                                   )
LCG_external_package(marshmallow_enum  1.5.1                                    )
LCG_external_package(matplotlib        3.8.3                                    )
LCG_external_package(matplotlib_inline 0.1.2                                    )
if( ${LCG_OS}${LCG_OSVERS} MATCHES ubuntu22 )
   LCG_external_package(maven             3.8.5                                    )
else()
   LCG_external_package(maven             3.6.1                                    )
endif()
LCG_external_package(mccabe            0.7.0                                    )
LCG_external_package(mdit_py_plugins   0.4.0                                    )
LCG_external_package(mdurl             0.1.2                                    )
LCG_external_package(meson             1.3.2                                    )
LCG_external_package(messaging         1.1                                      )
LCG_external_package(metakernel        0.24.2                                   )
LCG_external_package(mimesis           14.0.0                                   )
LCG_external_package(minikanren        1.0.3                                    )
LCG_external_package(minio             5.0.10                                   )
LCG_external_package(minrpc            0.0.11                                   )
LCG_external_package(mistune           3.0.1                                    )
LCG_external_package(ml_dtypes         0.4.1                                    )
LCG_external_package(mock              3.0.5                                    )
LCG_External_package(more_itertools    7.0.0                                    )  
LCG_external_package(motif             2.3.8                                    )
LCG_external_package(mpfi              1.5.3                                    )
LCG_external_package(mpfr              4.2.1                                    )
LCG_external_package(mpi4py            3.1.5                                    )
LCG_external_package(mplhep            0.3.31                                   )
LCG_external_package(mplhep_data       0.0.3                                    )
LCG_external_package(mpmath            1.2.1                                    )
LCG_external_package(msgpack           1.0.5                                    )
LCG_external_package(msgpackc          3.2.0                                    )
LCG_external_package(multidict         6.0.2                                    )
LCG_external_package(multipledispatch  1.0.0                                    )
LCG_external_package(multiprocess      0.70.16                                  )
LCG_external_package(mypy              1.15.0                                   )
LCG_external_package(mypy_extensions   1.0.0                                    )
LCG_external_package(mysql             10.5.20                                  )
LCG_external_package(mysql_connector_python 8.0.18                            )
LCG_external_package(namex             0.0.8                                    )
LCG_external_package(nanobind          2.4.0                                    )
LCG_external_package(nanomsg           1.1.5                                    )
LCG_external_package(nbclassic         0.3.1                                    )
LCG_external_package(nbclient          0.5.3                                    )
LCG_external_package(nbconvert         7.6.0                                    )
LCG_external_package(nbformat          5.9.1                                    )
LCG_external_package(ndindex           1.8                                     )
LCG_external_package(nest_asyncio      1.5.1                                    )
LCG_external_package(netcdfc           4.7.0                                    )
LCG_external_package(networkx          3.2.1                                    )
#LCG_external_package(nghttp2           1.43.0                                   )
LCG_external_package(ninja             1.11.1                                   )
LCG_external_package(nltk              3.8.1                                    )
if( ${LCG_OS}${LCG_OSVERS} MATCHES centos7 )
  LCG_external_package(nodejs            18.15.0                                )
else()
  LCG_external_package(nodejs            20.12.0                                )
endif()
LCG_external_package(nodeenv           1.7.0                                    )
LCG_external_package(nose              1.7.0                                    )
LCG_external_package(notebook          6.4.0                                    )
LCG_external_package(notebook_shim              0.2.4	                )
LCG_external_package(numba             0.61.0                                   )
LCG_external_package(numba_stats       1.7.0                                    )
LCG_external_package(numcodecs         0.11.0                                   )
LCG_external_package(numdifftools      0.9.41                                   )
LCG_external_package(numexpr           2.8.4                                    )
LCG_external_package(numpy             1.26.4                                   )
LCG_external_package(oauthlib          3.0.1                                    )
LCG_external_package(ocaml             4.13.1                                   )
if(NOT ${LCG_OS} MATCHES ubuntu)
  LCG_external_package(octave            6.2.0                                  )
  LCG_external_package(octavekernel      0.32.0                                 )
endif()
LCG_external_package(odfpy             1.4.1                                    )
LCG_external_package(omniorb           4.3.2                                    )
LCG_external_package(onnx              1.16.0                                   )
LCG_external_package(openai            0.27.8                                   )
LCG_external_package(opencv_python     4.10.0.84                                )
LCG_external_package(openmpi           4.1.6                                    )
LCG_external_package(openpyxl          3.1.5                                    )
LCG_external_package(openqasm3         0.5.0                                    )
LCG_external_package(opensearch_py     2.2.0                                    )
if(${LCG_OS} MATCHES mac)
  LCG_external_package(openssl         3.0.13                                   )
endif()
LCG_external_package(optree            0.11.0                                   )
LCG_external_package(opt_einsum        3.2.0                                    )
LCG_external_package(optuna            4.0.0                                    )
LCG_external_package(orjson            3.9.15                                   )
if(${LCG_OS} MATCHES centos|el)
  LCG_external_package(oracle            19.19.0.0.0                              )
else()
    LCG_external_package(oracle            18.3.0.0.0                               )
endif()
LCG_external_package(oracledb          2.5.1                                    )
LCG_external_package(ordered_set       4.1.0                                    )
LCG_external_package(packaging         23.2                                     )
LCG_external_package(pacparser         1.4.3                                    )
LCG_external_package(pandas            2.2.2                                    )
LCG_external_package(pandocfilters     1.4.3                                    )
LCG_external_package(panel             1.1.0                                    )
if(${LCG_OS}${LCG_OSVERS} MATCHES centos9|el9 )
LCG_external_package(pango             1.48.9                                  )
else()
LCG_external_package(pango             1.40.13                                  )
endif()
LCG_external_package(param             1.13.0                                   )
LCG_external_package(paramiko          2.9.2                                    )
LCG_external_package(parse             1.19.0                                   )
LCG_external_package(parsl             1.2.0                                    )
LCG_external_package(parso             0.8.4                                    )
LCG_external_package(partd             1.4.2                                    )
LCG_external_package(particle          0.25.2                                   )
LCG_external_package(pastel            0.2.1                                    )
LCG_external_package(patchelf          0.12                                     )
LCG_external_package(pathspec          0.11.1                                   )
LCG_external_package(pathos            0.2.3                                    )
LCG_external_package(patsy             0.5.6                                    )
LCG_external_package(pbr               6.0.0                                    )
LCG_external_package(pcre              8.43                                     )
LCG_external_package(pcre2             10.42                                    )
LCG_external_package(pep517            0.12.0                                   )
LCG_external_package(pexpect           4.9.0                                    )
LCG_external_package(pickleshare       0.7.5                                    )
LCG_external_package(pillow            9.5.0                                    )
LCG_external_package(pip               23.3.1                                   )
LCG_external_package(pipdeptree        2.9.0                                    )
LCG_external_package(pipenv            2020.11.15                               )
LCG_external_package(pixman            0.38.4                                   )
LCG_external_package(pkg_config        0.29.2                                   )
LCG_external_package(pkgconfig         1.5.1                                    )
LCG_external_package(platformdirs      3.5.0                                    )
LCG_external_package(plotly            5.16.1                                   )
LCG_external_package(plotext           5.2.7                                    )
LCG_external_package(pluggy            1.5.0                                    )
LCG_external_package(plumbum           1.7.2                                    )
LCG_external_package(ply               3.11                                     )
LCG_external_package(png               1.6.47                                   )
LCG_external_package(poco              1.13.3                                   )
LCG_external_package(podio             01.02                                    )
LCG_external_package(polars           0.18.13                                  )
LCG_external_package(pooch             1.6.0                                    )
LCG_external_package(postgresql        12.14                                    )
LCG_external_package(pox               0.2.5                                    )
LCG_external_package(ppft              1.6.4.9                                  )
if( NOT ${LCG_OS}${LCG_OSVERS} MATCHES ubuntu18 )
  LCG_external_package(prctl           1.7                                      )
endif()
if(${LCG_OS} MATCHES centos|el|cc)
  LCG_external_package(pprof           54271f7                                  )
endif()
LCG_external_package(pre_commit        3.8.0                                    )
LCG_external_package(prettytable       3.0.0                                    )
LCG_external_package(proj              9.2.0                                    )
LCG_external_package(prometheus_client 0.11.0                                   )
LCG_external_package(prompt_toolkit    3.0.19                                   )
LCG_external_package(protobuf          4.25.4                                   )
LCG_external_package(protobuf2         2.5.0                                    )
LCG_external_package(psutil            5.9.8                                    )
LCG_external_package(ptyprocess        0.7.0                                    )
LCG_external_package(py                1.11.0                                   )
LCG_external_package(pyjson5           0.9.6                                    )

# dropped due to dependency conflict: requires py-prompt-toolkit > 2.0, while ipython requires < 2.0
# LCG_external_package(py2neo            4.3.0                                    )
LCG_external_package(py4j              0.10.9.7                                 )
LCG_external_package(pynacl            1.3.0                                    )
LCG_external_package(pyanalysis        2.0                                      )
# PSA: arrow and pyarrow use the same tarball
LCG_external_package(pyarrow           ${arrow_native_version}                  )
LCG_external_package(pyasn1            0.4.5                                    )
LCG_external_package(pyasn1_modules    0.2.5                                    )
LCG_external_package(pybind11          2.11.1                                   )
LCG_external_package(pycairo           1.18.1                                   )
LCG_external_package(pycodestyle       2.12.1                                   )
LCG_external_package(pycparser         2.22                                     )
LCG_external_package(pycpuinfo         9.0.0                                    )
LCG_external_package(pyct              0.4.6                                    )
LCG_external_package(pydantic          2.11.3                                   )
LCG_external_package(pydantic_core     2.33.1                                   )
LCG_external_package(pydigitalwavetools 1.1                                     )
LCG_external_package(pydot             1.4.1                                    )
LCG_external_package(pydot_ng          2.0.0                                    )
LCG_external_package(pyeda             0.29.0                                   )
LCG_external_package(pyerfa            2.0.0.3                                  )
LCG_external_package(pyflakes          3.2.0                                    )
LCG_external_package(pygments          2.18.0                                    )
LCG_external_package(pygraphics        2.0                                      )
LCG_external_package(pygraphviz        1.11                                     )
LCG_external_package(pyhf              0.7.6                                    )
LCG_external_package(PyHEADTAIL        1.16.1                                   )
LCG_external_package(PyJWT             2.0.1                                    )
LCG_external_package(pylhe             0.9.0                                    )
LCG_external_package(pylint            3.3.6                                    )
LCG_external_package(pylev             1.4.0                                    )
LCG_external_package(py_lz4            4.0.0                                    )
# Remove pyparser as it is only used by QKeras, which is not actively supported and does not support TensorFlow 2.18
#LCG_external_package(pyparser          1.0                                      )
LCG_external_package(pyparsing         2.4.7                                    )
LCG_external_package(pypdf             3.11.0                                   )
LCG_external_package(pypng             0.20220715.0                             )
LCG_external_package(pyproj            3.6.1                                    )
LCG_external_package(pyqt_builder      1.15.4                                   )
LCG_external_package(pyqt5             5.15.10                                  )
LCG_external_package(pyqt5_sip         12.15.0                                  )
LCG_external_package(pykube_ng         23.6.0                                   )
#LCG_external_package(pyqtwebengine     5.12.1                                  )
LCG_external_package(pyroscope         1.12.0                                   )
LCG_external_package(pyroscope_io      0.8.5                                    )
LCG_external_package(pyrsistent        0.18.0                                   )
LCG_external_package(pyserial          3.4                                      )
LCG_external_package(pysimdjson        5.0.2                                    )
LCG_external_package(pystan            3.9.0                                    )
LCG_external_package(pyshp             2.1.0                                    )
LCG_external_package(pyshtools         4.12.2                                   )
LCG_external_package(pyslha            3.2.6                                    )
LCG_external_package(pytensor          2.19.0                                   )
LCG_external_package(pytables          3.9.2                                    )
LCG_external_package(pytest            8.3.2                                    )
LCG_external_package(pytest_cov        4.1.0                                    )
LCG_external_package(pytest_runner     5.1                                      )
LCG_external_package(pytest_xdist      3.3.1                                    )
LCG_external_package(Python            3.11.9                                   )
LCG_external_package(python_box        7.0.1                                    )
LCG_external_package(python_dateutil   2.9.0                                    )
LCG_external_package(python_jsonpath   0.7.1                                    )
LCG_external_package(python_gitlab     1.8.0                                    )
if(${LCG_OS} MATCHES centos|el|cc)
  # not yet managed to get it to work with python 3.11
  #LCG_external_package(pythonsollya    0.3                                      )
endif()
LCG_external_package(python_vxi11      0.9                                      )
LCG_external_package(pythran           0.13.1                                   )
LCG_external_package(pytools           2019.1.1                                 )
LCG_external_package(pytorch_lightning 2.2.4                                    )
LCG_external_package(pytz              2022.7.1                                 )
LCG_external_package(pyviz_comms       2.0.1                                    )
## pywt is pywavelets
LCG_external_package(pywt              1.4.1                                    )
#LCG_external_package(pywavelets        1.3.0                                    )
LCG_external_package(pyxxhash          3.4.1                                    )
LCG_external_package(PyYAML            6.0.1                             pyyaml )
LCG_external_package(pyzmq             22.1.0                                   )
LCG_external_package(p7zip             16.02                                    )
#LCG_external_package(QKeras            0.9.0                                    ) # not compatible with tensorflow 2.16.1
#LCG_external_package(Qt                4.8.7                    qt             )
LCG_external_package(Qt5               5.15.15                  qt5             )
LCG_external_package(Qt6               6.8.1                    qt6             )
if( (${LCG_COMP} MATCHES gcc) AND (${LCG_COMPVERS} VERSION_EQUAL 11))
  LCG_external_package(Qt6               6.5.1                    qt6             )
endif()
if( (${LCG_COMP} MATCHES clang) AND (${LCG_COMPVERS} VERSION_LESS_EQUAL 12) AND (NOT ${LCG_OS} MATCHES mac) )
  LCG_remove_package(Qt6)
endif()
LCG_external_package(qastle            0.16.0                                   )
LCG_external_package(qibo              0.2.16                                   )
LCG_external_package(qibojit           0.1.3                                    )
LCG_external_package(qulacs            0.6.4.1                                  )
LCG_external_package(qrcode            7.4.2                                    )
LCG_external_package(qtconsole         4.5.1                                    )
LCG_external_package(qtpy              1.7.1                                    )
#LCG_external_package(qwt               6.0.1                                   )
# Removed after decision in LIM, 21/7/20 (GGa)
if(${LCG_OS} MATCHES centos|el AND NOT (${LCG_COMP} MATCHES clang AND ${LCG_COMPVERS} EQUAL 15) )
   LCG_external_package(R               4.3.0                                   )
endif()
LCG_external_package(rangev3           0.12.0                                   )
LCG_external_package(railroad_diagrams 1.1.1                                    )
LCG_external_package(rapidjson         1.1.0                                    )
LCG_external_package(rapidyaml         0.7.0                                   )
LCG_external_package(rdflib            6.1.1                                    )
LCG_external_package(re2               2023.11.01                               )
LCG_external_package(readline          8.0                                      )
LCG_external_package(redis             4.3.3                                    )
LCG_external_package(referencing       0.31.0                                   )
LCG_external_package(regex             2023.5.5                                 )
LCG_external_package(requests          2.31.0                                   )
if(NOT ${LCG_OS} MATCHES ubuntu)
  LCG_external_package(requests_gssapi   1.2.3					)
endif()
LCG_external_package(requests_oauthlib 1.2.0                                    )
LCG_external_package(requests_unixsocket 0.2.0                                  )
LCG_external_package(resample          1.10.1                                   )
LCG_external_package(retry             0.9.2                                    )
LCG_external_package(retrying          1.3.3                                    )
LCG_external_package(rich              13.7.1                                   )
#this package (rise) is for jupyter, jupyterlab_rise is its replacement
LCG_external_package(rise			5.7.2.2			)
# Removed after decision in LIM, 21/7/20 (GGa)
# LCG_external_package(rpy2              3.0.4                                    )
LCG_external_package(RooUnfold         3.0.5                                    )
LCG_external_package(rpds_py           0.18.0                                   )
LCG_external_package(rq                1.10.1                                   )
LCG_external_package(rsa               4.0                                      )
LCG_external_package(ruamel_yaml       0.17.31					)
LCG_external_package(ruamel_yaml_clib  0.2.7					)
LCG_external_package(ruff              0.11.5                                   )
LCG_external_package(rust              1.85.0                                   )
LCG_external_package(s3transfer	       0.10.3					)
LCG_external_package(safetensors       0.4.3					)
LCG_external_package(scandir           1.10.0                                   )
LCG_external_package(scikitbuild       0.13.1                                   )
LCG_external_package(scikitimage       0.21.0                                   )
LCG_external_package(scikitlearn       1.5.1                                    )
LCG_external_package(scikit_hep        2025.4.1                                 )
LCG_external_package(scikit_rf         1.1.0                                    )
LCG_external_package(scipy             1.15.2                                   )
LCG_external_package(seaborn           0.13.2                                   )
LCG_external_package(semantic_version  2.10.0                                   )
LCG_external_package(send2trash        1.8.3                                    )
LCG_external_package(sentence_transformers 2.2.2                                )
LCG_external_package(sentencepiece     0.1.99                                   )
LCG_external_package(servicex          2.8.0                                    )
LCG_external_package(setuptools        69.5.1                                   )
LCG_external_package(setuptools_scm    6.4.2                                    )
LCG_external_package(shapely           2.0.5                                    )
if(${LCG_COMP} MATCHES gcc OR (${LCG_COMP} MATCHES clang AND ${LCG_COMPVERS} GREATER 10))
  LCG_external_package(simdjson        3.1.1                                    )
endif()
LCG_external_package(simplegeneric     0.8.1                                    )
LCG_external_package(simplejson        3.16.1                                   )
LCG_external_package(singledispatch    3.4.0.3                                  )
LCG_external_package(sip               6.8.3                                    )
LCG_external_package(six               1.16.0                                   )
LCG_external_package(snappy            1.1.7                                    )
LCG_external_package(sniffio           1.2.0                                    )
LCG_external_package(snowballstemmer   2.1.0                                    )
LCG_external_package(sollya            8.0                                      )
#LCG_external_package(soqt              1.5.0                                    )
LCG_external_package(sortedcontainers  2.1.0                                    )
LCG_external_package(soupsieve         2.4.1                                    )
if((${LCG_OS} MATCHES centos|el|ubuntu) AND (NOT ${LCG_COMP} STREQUAL clang))
  LCG_external_package(spark           3.5.5                                    )
endif()
LCG_external_package(spdlog            1.15.0                                   )
LCG_external_package(sphinx            4.2.0                                    )
LCG_external_package(sphinxcontrib_applehelp          1.0.2                     )
LCG_external_package(sphinxcontrib_devhelp            1.0.2                     )
LCG_external_package(sphinxcontrib_htmlhelp           2.0.0                     )
LCG_external_package(sphinxcontrib_jsmath             1.0.1                     )
LCG_external_package(sphinxcontrib_qthelp             1.0.3                     )
LCG_external_package(sphinxcontrib_serializinghtml    1.1.5                     )
LCG_external_package(sphinx_rtd_theme  0.5.1                                    )
LCG_external_package(sqlalchemy        2.0.16                                   )
LCG_external_package(sqlite            3320300                                  )
LCG_external_package(spey              0.2.1                                    )
LCG_external_package(statsmodels       0.14.1                                   )
LCG_external_package(stevedore         3.3.0                                    )
LCG_external_package(stomppy           6.1.0                                    )
LCG_external_package(storm             0.23                                     )
LCG_external_package(suitesparse       5.10.1                                   )
LCG_external_package(svgwrite          1.4.3                                    )
LCG_external_package(svgpathtools      1.6.1                                    )
LCG_external_package(svgpath          6.3                                      )
LCG_external_package(swig              4.3.0                                    )
LCG_external_package(sympy             1.13.1                                   )
LCG_external_package(synr              0.5.0                                    )
LCG_external_package(SIO               00.02                                    )
LCG_external_package(tabulate          0.9.0                                    )
LCG_external_package(tbb               2021.10.0                                )
LCG_external_package(tblib             1.7.0                                    )
LCG_external_package(tcut_to_qastle    0.7                                      )
#LCG_external_package(tcmalloc          2.4                                      )
LCG_external_package(tenacity          8.2.2                                  )
LCG_external_package(tensorflow                      2.18.0                     )
LCG_external_package(tensorflow_io_gcs_filesystem    0.36.0                     )
LCG_external_package(tensorboard                     2.18.0                     )
LCG_external_package(tensorboardX                    2.6.2.2                    )
LCG_external_package(tensorboard_data_server          0.7.2                     )
LCG_external_package(tensorboard_plugin_wit       1.8.1                         )
LCG_external_package(tensorflow_model_optimization    0.8.0                     )
LCG_external_package(tensorflow_probability	     0.25.0                     )
LCG_external_package(termcolor         1.1.0                                    )
LCG_external_package(terminado         0.10.1                                   )
LCG_external_package(testpath          0.5.0                                    )
LCG_external_package(texinfo           6.3                                      )
LCG_external_package(tex2pix                    0.3.1                   )
LCG_external_package(texttable         1.7.0                                    )
LCG_external_package(textual           0.74.0                                   )
LCG_external_package(tfs_pandas        3.5.1                                    )
LCG_external_package(tf_keras          2.18.0                                   )
LCG_external_package(threadpoolctl     3.5.0                                    )
LCG_external_package(thrift            0.16.0                                   )
LCG_external_package(tiff              4.2.0                                    )
LCG_external_package(tifffile          2023.4.12                                )
LCG_external_package(tinycss2          1.2.1                                    )
LCG_external_package(tokenizers        0.19.1                                   )
LCG_external_package(toml              0.10.2                                   )
LCG_external_package(tomli             2.0.1                                    )
LCG_external_package(tomlkit           0.11.8                                   )
LCG_external_package(toolz             0.12.1                                   )
LCG_external_package(torch             2.5.1                                    )
LCG_external_package(torchmetrics      1.4.0.post0                              )
LCG_external_package(torchvision       0.20.1                                   )
LCG_external_package(torch_cluster     1.6.3p1                                  ) # this is a master.tar.gz from June 13, 2024
if(${LCG_COMP}${LCG_COMPVERS} MATCHES "gcc1[1234]" )
  LCG_external_package(onnxruntime       1.21.0                                   )
  LCG_external_package(tf2onnx           1.16.1                                 )
endif()
LCG_external_package(torch_geometric   2.6.1                                    )
LCG_external_package(torch_scatter     2.1.2                                    )
LCG_external_package(torch_sparse      0.6.18                                   )
LCG_external_package(tornado           6.4.1                                    )
LCG_external_package(tqdm              4.66.1                                   )
LCG_external_package(traitlets         5.9.0                                    )
LCG_external_package(traittypes        0.2.1                                    )
LCG_external_package(transformers      4.41.0                                   )
#LCG_external_package(triton_client     0.0.1                                    )
LCG_external_package(tricktrack        1.0.9                                    )
LCG_external_package(typeguard         2.13.3                                   )
LCG_external_package(typing_extensions 4.12.2                                   )
LCG_external_package(typing_inspect    0.9.0                                    )
LCG_external_package(typing_inspection 0.4.0                                    )
LCG_external_package(tzlocal           2.0.0                                    )
LCG_external_package(tzdata            2024.1                                   )
LCG_external_package(uc_micro_py       1.0.2                                    )
LCG_external_package(uhi               0.3.0                                    )
LCG_external_package(ultralytics       8.3.58                              	)
LCG_external_package(ultralytics_thop  2.0.13                                   )
LCG_external_package(umesimd           0.8.1                                    )
LCG_external_package(uncertainties     3.1.7                                    )
LCG_external_package(unigen            2.2                                      )
#LCG_External_package(upandas           0.2.0                                    )
LCG_external_package(uproot            5.6.0                                    )
LCG_external_package(uproot_browser    0.6.7                                    )
LCG_external_package(urllib3           1.26.16                                  )
LCG_external_package(utf8cpp           3.2.3                                    )
LCG_external_package(uuid              1.42                                     )
LCG_external_package(valgrind          3.24.0.zstd   author=3.24.0              )
LCG_external_package(qcachegrind       20.12.1                                  )
LCG_external_package(Vc                1.4.5         author=1.4.5               )
LCG_external_package(vcversioner       2.16.0.0                                 )
LCG_external_package(vdt               0.4.4                                    )
LCG_external_package(veccore           0.8.2                                    )
LCG_external_package(VecGeom           1.2.9                                    )
LCG_external_package(vector            1.6.1                                    )
LCG_external_package(vectorclass       2.01.02                                  )
LCG_external_package(verboselogs       1.7                                      )
LCG_external_package(versioneer        0.28                                     )
LCG_external_package(virtualenv        20.23.0                                  )
LCG_external_package(virtualenv_clone  0.5.4                                    )
LCG_external_package(virtualenvwrapper 4.8.4                                    )
LCG_external_package(VTK               9.3.1           Qt=5                     )
LCG_external_package(watchdog          2.1.7                                    )
LCG_external_package(wcwidth           0.2.5                                    )
LCG_external_package(webargs           8.4.0                                    )
LCG_external_package(webencodings      0.5.1                                    )
LCG_external_package(webio_jupyter_extension 0.1.0                              )
LCG_external_package(websocket_client  1.1.0                                    )
LCG_external_package(werkzeug          2.2.3                                    )
LCG_external_package(wheel             0.37.1                                   )
LCG_external_package(widgetsnbextension 3.5.1                                   )
LCG_external_package(wrapt             1.14.1                                   )
LCG_external_package(xapian            1.4.18                                   )
LCG_external_package(xarray            2022.3.0                                 )
LCG_external_package(xenv              1.0.0                                    )
LCG_external_package(XercesC           3.2.4        author=3.2.4                )
LCG_external_package(xgboost           2.1.3                                    )
LCG_external_package(xqilla            2.3.4                                    )
LCG_external_package(xlrd              2.0.1                                    )
LCG_external_package(xrootd            5.8.0                                    )
LCG_external_package(xxHash            0.8.2                                    )
LCG_external_package(xyzservices       2023.5.0                                 )
LCG_external_package(xz                5.0.4                                    )
LCG_external_package(yacs              0.1.8                                    )
LCG_external_package(yamlcpp           0.6.3                                    )
LCG_external_package(yarl              1.9.4                                    )
LCG_external_package(zeromq            4.3.5      author=4.3.5                  )
LCG_external_package(zfit              0.24.3                                   )
LCG_external_package(zfit_interface    0.0.3                                    )
LCG_external_package(zfit_physics      0.7.0                                    )
LCG_external_package(zict              3.0.0                                    )
LCG_external_package(zipp              3.15.0                                    )
LCG_external_package(zlib              1.3.1                                    )
LCG_external_package(zstandard         0.22.0                                   )
LCG_external_package(OWSLib            0.17.1                                   )
#---
LCG_external_package(webcolors 		24.11.1			)
#---EMI-2 grid externals and other binary packages---------------------
if(${LCG_OS} MATCHES mac)
  LCG_external_package(libosxunwind    0.0.6                                    )
else()
  LCG_external_package(libunwind       1.5.0                                    )
  LCG_external_package(igprof          5.9.18                                   )
  if(${LCG_OS} MATCHES el)
    LCG_external_package(memray            1.17.1                                   )
  endif()
endif()
if(${LCG_OS}${LCG_OSVERS} STREQUAL centos7)
  LCG_external_package(dcap          2.47.7-1               Grid/dcap         )
  LCG_external_package(gfal          1.13.0-0               Grid/gfal         )
  LCG_external_package(srm_ifce      1.13.0-0               Grid/srm-ifce     )
endif()
