#!/bin/bash

# Check that directory argument was provided
if [[ -z "$1" ]]; then
    echo "Error: directory argument is missing."
    exit 1
fi

# Set the file list
files=("clang" "clang++" "clang-format" "clang-tidy" "clangd" "clang-apply-replacements" "clang-change-namespace" "clang-doc" "clang-move" "clang-query" "ld.lld" "lld-link" "lldb" "lldb-server" "lldb" "lldb-server" "libomp.so"  "libclang_rt.*.a" "libclang_rt.*.so" "libc++.a" "libc++.so" "libc++abi.a" "libc++abi.so")

# Check that all files are present in the directory
for file in "${files[@]}"
do
    if ! find "$1" -name "$file" -print -quit | grep -q .; then
        echo "Error: $file was not found in $1"
        exit 1
    fi
done

echo "All files were found in $1"
exit 0

