#!/bin/bash

# Set up some default CMake configuration options
CMAKE_OPTIONS="$@"
CMAKE_OPTIONS_NEW=""

# strip it
CMAKE_OPTIONS=$(echo "$CMAKE_OPTIONS" | tr -s ' ')


FIRST_ARG=$(echo "$1" | tr -s ' ')
if [ "$FIRST_ARG" == "--build-arm" ]; then
  CMAKE_OPTIONS="$CMAKE_OPTIONS -DLLVM_TARGETS_TO_BUILD:STRING=ARM;X86;AArch64;BPF"
else
  CMAKE_OPTIONS="$CMAKE_OPTIONS -DLLVM_TARGETS_TO_BUILD:STRING=X86;NVPTX;BPF"
fi

# Remove --build-arm from options
IFS=' ' read -ra CMAKE_OPTIONS_ARRAY <<< "$CMAKE_OPTIONS"
for i in "${CMAKE_OPTIONS_ARRAY[@]}"; do
  echo "All = $i"
  if [ "$i" != "--build-arm" ]; then
    CMAKE_OPTIONS_NEW="$CMAKE_OPTIONS_NEW $i"
  fi
done

# Run CMake with the configured options
echo cmake $CMAKE_OPTIONS_NEW -DLLVM_ENABLE_PROJECTS="clang;clang-tools-extra;lld;lldb;polly;flang;openmp;pstl;compiler-rt;libcxxabi;libunwind"

cmake $CMAKE_OPTIONS_NEW -DLLVM_ENABLE_PROJECTS="clang;clang-tools-extra;lld;lldb;openmp;pstl;polly"  -DLLVM_ENABLE_RUNTIMES="compiler-rt;libcxx;libcxxabi;libunwind" 


