# Source dependencies
source %BINUTILS_PATH%/setup.sh
source %GCC_PATH%/setup.sh

# Set base path
BASE=%CLANG_PATH%

# Add to path
export PATH="$BASE/wrappers:$BASE/bin:$PATH"
export MANPATH="$BASE/share/man:$MANPATH"

# Add directories with .so files to LD_LIBRARY_PATH
NEW_PATHS=$(find "$BASE" -type f -name "*.so" -exec dirname {} \; | sort -u | tr '\n' ':' | sed 's/:$//')
if [ -n "$NEW_PATHS" ]; then
    export LD_LIBRARY_PATH="$NEW_PATHS${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
fi

# Export compiler-related environment
export COMPILER_PATH=%GCC_PATH%

# Unalias Clang if previously aliased
unalias clang 2>/dev/null || true
unalias clang++ 2>/dev/null || true

# Set compilers
export CC=$(command -v clang)
export CXX=$(command -v clang++)
export FC=$(command -v gfortran)

# Set additional paths
export PYTHONPATH="$BASE/lib/python${PYTHONPATH:+:$PYTHONPATH}"
export CLANG_LIBRARY_PATH="$BASE/lib"
