# Source dependencies
source %BINUTILS_PATH%/setup.sh
source %GCC_PATH%/setup.sh

# Set base path for Clang
BASE=%CLANG_PATH%

# Add to PATH and MANPATH
export PATH="$BASE/bin:$PATH"
export MANPATH="$BASE/share/man:$MANPATH"

# Find unique directories containing .so files and prepend to LD_LIBRARY_PATH
NEW_PATHS=$(find "$BASE" -type f -name "*.so" -exec dirname {} \; | sort -u | tr '\n' ':' | sed 's/:$//')
if [ -n "$NEW_PATHS" ]; then
    export LD_LIBRARY_PATH="$NEW_PATHS${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
fi

# Export GCC toolchain location
export COMPILER_PATH=%GCC_PATH%

# Unalias clang/clang++ in case they are already aliased
unalias clang 2>/dev/null || true
unalias clang++ 2>/dev/null || true

# Alias clang/clang++ with toolchain override
alias clang="clang --gcc-toolchain=$COMPILER_PATH"
alias clang++="clang++ --gcc-toolchain=$COMPILER_PATH"

# Set compiler environment variables (not escaped)
export CC="clang --gcc-toolchain=$COMPILER_PATH"
export CXX="clang++ --gcc-toolchain=$COMPILER_PATH"
export FC=$(command -v gfortran)

# Python and Clang library paths
export PYTHONPATH="$BASE/lib/python${PYTHONPATH:+:$PYTHONPATH}"
export CLANG_LIBRARY_PATH="$BASE/lib"
